//---------------------------------------------------------------------------

#ifndef OBJConnectorObjectFieldH
#define OBJConnectorObjectFieldH
//---------------------------------------------------------------------------

#include "OBJPersistentEx.h"


class TConnectorObjectField : public TPersistentEx
{
   public:
       __fastcall TConnectorObjectField() { }
       __fastcall TConnectorObjectField(const String& code, const String& name) : TPersistentEx(code, name) { }
       __fastcall TConnectorObjectField(TReader* const Reader) : TPersistentEx() {readData(Reader);}
       static TPersistentEx* createFromStream(TReader* const Reader) {return new TConnectorObjectField(Reader);}

       __fastcall ~TConnectorObjectField() { }

       virtual void __fastcall readData(TReader* const);
       virtual void __fastcall writeData(TWriter* const) const;
       virtual void __fastcall writeXML(TStream* const) const;
       virtual bool __fastcall showDialog(TComponent* const Owner, bool ReadOnly) {return false;}

};


#endif
