//---------------------------------------------------------------------------
#ifndef OBJReferenceFactoryH
#define OBJReferenceFactoryH
//---------------------------------------------------------------------------

class TReferenceFactory : public TObject
{
   public:
      // CREATORS
      static TReferenceFactory* Instance();
      __fastcall ~TReferenceFactory();

      // ACCESSORS

      // MANIPULATORS
      String __fastcall makeNewReference(const String& Leader, int count);
      void __fastcall addEntry(const String& s);
      void __fastcall deleteReference(const String& s);

   protected:
      __fastcall TReferenceFactory();

   private:
      static TStringList* d_ReferenceList;
      static TReferenceFactory* _instance;
};


//---------------------------------------------------------------------------
extern PACKAGE TReferenceFactory* ReferenceFactory;
//---------------------------------------------------------------------------



#endif
