//---------------------------------------------------------------------------

#ifndef OBJServletMethodH
#define OBJServletMethodH
//---------------------------------------------------------------------------

#include "OBJPersistentEx.h"

class TServletMethod : public TPersistentEx
{
   public:
       // CREATORS
       __fastcall TServletMethod() : TPersistentEx() { };
       __fastcall TServletMethod(const String& code, const String& name) : TPersistentEx(code, name) { }
       __fastcall TServletMethod(TReader* const Reader) : TPersistentEx() {readData(Reader);}
       static TPersistentEx* createFromStream(TReader* const Reader) {return new TServletMethod(Reader);}

       // DESTRUCTORS
       __fastcall ~TServletMethod() { };



       virtual void __fastcall readData(TReader* const);
       virtual void __fastcall writeData(TWriter* const) const;
       virtual void __fastcall writeXML(TStream* const) const;
       virtual bool __fastcall showDialog(TComponent* const Owner, bool ReadOnly) {return false;}

};

#endif
