//---------------------------------------------------------------------------

#ifndef UICommandScriptViewerH
#define UICommandScriptViewerH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "dccommon.hpp"
#include "dcmemo.hpp"
#include "dcstring.hpp"
#include "dcSyntax.hpp"
#include "dcsystem.hpp"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include "Placemnt.hpp"
#include "SpeedBar.hpp"
#include <ImgList.hpp>
#include <ToolWin.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------

class TTransaction;

class TfrmCommandScriptViewer : public TForm
{
__published:	// IDE-managed Components
        TStatusBar *StatusBar1;
        TDCMemo *DCMemo1;
        TSyntaxParser *SyntaxParser1;
        TMemoSource *MemoSource1;
        TFormPlacement *FormPlacement1;
        TImageList *ImageList1;
        TToolBar *ToolBar1;
        TToolButton *ToolButton1;
        TToolButton *ToolButton2;
        TMainMenu *MainMenu1;
        TMenuItem *File1;
        TMenuItem *Edit1;
        TMenuItem *Search1;
        TMenuItem *Undo1;
        TMenuItem *Redo1;
        TMenuItem *N1;
        TMenuItem *Cut1;
        TMenuItem *Copy1;
        TMenuItem *Paste1;
        TMenuItem *Delete1;
        TMenuItem *SelectAll1;
        TMenuItem *Find1;
        TMenuItem *Replace1;
        TMenuItem *SearchAgain1;
        TMenuItem *N2;
        TMenuItem *GotoLineNumber1;
        TMenuItem *Save1;
        TMenuItem *Register1;
        TMenuItem *N3;
        TMenuItem *Close1;
        TMenuItem *Tools1;
        TMenuItem *EnvironmentSetup1;
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall btnSendToHostClick(TObject *Sender);
        void __fastcall DCMemo1ClickGutter(TObject *Sender, int LinePos,
          int ImageIndex, TShiftState Shift);
        void __fastcall FormEndDock(TObject *Sender, TObject *Target,
          int X, int Y);
        void __fastcall ToolButton2Click(TObject *Sender);
        void __fastcall Undo1Click(TObject *Sender);
        void __fastcall DCMemo1Change(TObject *Sender);
        void __fastcall Redo1Click(TObject *Sender);
        void __fastcall Cut1Click(TObject *Sender);
        void __fastcall Copy1Click(TObject *Sender);
        void __fastcall Paste1Click(TObject *Sender);
        void __fastcall Delete1Click(TObject *Sender);
        void __fastcall SelectAll1Click(TObject *Sender);
        void __fastcall GotoLineNumber1Click(TObject *Sender);
        void __fastcall Find1Click(TObject *Sender);
        void __fastcall Replace1Click(TObject *Sender);
        void __fastcall SearchAgain1Click(TObject *Sender);
        void __fastcall Close1Click(TObject *Sender);
        void __fastcall DCMemo1StateChange(TObject *Sender,
          TMemoStates State);
private:	// User declarations
       TTransaction* d_tran;
       static TfrmCommandScriptViewer* _instance;
       bool d_ChangePending;
       TConnectableObject* d_ChangeObject;
       String d_ChangeString;
public:		// User declarations
        static TfrmCommandScriptViewer* Instance(TComponent* Owner, TTransaction* tran);
protected:
        __fastcall TfrmCommandScriptViewer(TComponent* Owner, TTransaction* tran);
        __fastcall ~TfrmCommandScriptViewer();
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmCommandScriptViewer *frmCommandScriptViewer;
//---------------------------------------------------------------------------
#endif
