//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "UIDesignerOptions.h"
#include "OBJSystemMessages.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "RxCombos"
#pragma resource "*.dfm"
TfrmDesignerOptions *frmDesignerOptions;
//---------------------------------------------------------------------------
__fastcall TfrmDesignerOptions::TfrmDesignerOptions(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfrmDesignerOptions::ColorComboBox1Change(TObject *Sender)
{
   PostMessage(dynamic_cast<TForm*>(Owner)->Handle, smColorChanged, ColorComboBox1->ColorValue, 0);
   d_Dirty = true;
}
//---------------------------------------------------------------------------
void __fastcall TfrmDesignerOptions::btnCancelClick(TObject *Sender)
{
   if (d_Dirty)
      PostMessage(dynamic_cast<TForm*>(Owner)->Handle, smColorChanged, OriginalColor, 0);
   Close();
}
//---------------------------------------------------------------------------


void __fastcall TfrmDesignerOptions::btnOKClick(TObject *Sender)
{
   Close();        
}
//---------------------------------------------------------------------------
void __fastcall TfrmDesignerOptions::FormClose(TObject *Sender,
      TCloseAction &Action)
{
   Action = caFree;
}
//---------------------------------------------------------------------------
