//---------------------------------------------------------------------------

#ifndef UIMainH
#define UIMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>
#include <Menus.hpp>
#include <ActnList.hpp>
#include "htmlhint.hpp"
#include <ScktComp.hpp>
#include "Placemnt.hpp"
#include <Dialogs.hpp>
//---------------------------------------------------------------------------

class TfrmTransactionEditor;

class TfrmMain : public TForm
{
__published:	// IDE-managed Components
        TImageList *ImageList1;
        TMainMenu *MainMenu1;
        TMenuItem *File1;
        TMenuItem *New1;
        TMenuItem *Open1;
        TMenuItem *N1;
        TMenuItem *Save1;
        TMenuItem *SaveAs1;
        TMenuItem *N2;
        TMenuItem *Close1;
        TMenuItem *Exit1;
        TMenuItem *Help1;
        TMenuItem *About1;
        TImageList *ImageList2;
        TToolBar *ToolBar1;
        TToolButton *ToolButton1;
        TToolButton *ToolButton2;
        TActionList *ActionList1;
        TAction *aNewTransaction;
        TAction *aOpenTransaction;
        THTMLHint *HTMLHint1;
        TPopupMenu *PopupMenu1;
        TMenuItem *SaveAll1;
        TMenuItem *Contents1;
        TMenuItem *N3;
        TMenuItem *CloseAll1;
        TMenuItem *N4;
        TToolButton *ToolButton3;
        TMenuItem *Setup1;
        TMenuItem *DesignerEnvironment1;
        TMenuItem *Communications1;
        TClientSocket *ClientSocket1;
        TToolButton *btnComms;
        TAction *aSetupComms;
        TFormStorage *FormStorage1;
        TMenuItem *Debug1;
        TMenuItem *ClearAllBreakpoints1;
        TMenuItem *SetAllBreakpoints1;
        TToolButton *btnDesignerSettings;
        TMenuItem *ScriptingEnvironment1;
        TAction *aDesignEnvironmentOptions;
        TToolButton *ToolButton4;
        TAction *aScriptEnvironmentOptions;
        TSaveDialog *SaveDialog1;
        TOpenDialog *OpenDialog1;
        void __fastcall About1Click(TObject *Sender);
        void __fastcall aNewTransactionExecute(TObject *Sender);
        void __fastcall aOpenTransactionExecute(TObject *Sender);
        void __fastcall Exit1Click(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall ClientSocket1Error(TObject *Sender,
          TCustomWinSocket *Socket, TErrorEvent ErrorEvent,
          int &ErrorCode);
        void __fastcall aSetupCommsExecute(TObject *Sender);
        void __fastcall aDesignEnvironmentOptionsExecute(TObject *Sender);
        void __fastcall aScriptEnvironmentOptionsExecute(TObject *Sender);
        void __fastcall Save1Click(TObject *Sender);
private:	// User declarations
       TfrmTransactionEditor* d_te;
public:		// User declarations
        __fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
