//---------------------------------------------------------------------------

#ifndef UIObjectInspector2H
#define UIObjectInspector2H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "dbinsp.hpp"
#include "kbmMemTable.hpp"
#include "oinspect.hpp"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <Db.hpp>
#include "Placemnt.hpp"
#include <Graphics.hpp>
//---------------------------------------------------------------------------

class TConnectableObject;

class TfrmObjectInspector2 : public TForm
{
__published:	// IDE-managed Components
        TDataSource *DataSource1;
        TStatusBar *StatusBar1;
        TPanel *Panel1;
        TPanel *Panel2;
        TDataSetInspector *DataSetInspector1;
        TkbmMemTable *dsMemory;
        TFormPlacement *FormPlacement1;
        TImage *greenimg;
        TImage *redimg;
        TImage *fieldimg;
        TImage *methodimg;
        void __fastcall DataSetInspector1DrawCell(TObject *Sender,
          TPropertyEditor *PropEdit, int Column, TRect &ARect,
          bool &Processed);
private:	// User declarations
        TConnectableObject* d_co;
        void __fastcall rebuild(TConnectableObject*);
        TInspectorItem* __fastcall findInspectorItem(const String&);
public:		// User declarations
        __fastcall TfrmObjectInspector2(TComponent* Owner, TConnectableObject*);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmObjectInspector2 *frmObjectInspector2;
//---------------------------------------------------------------------------
#endif
