//---------------------------------------------------------------------------

#ifndef UIObjectToolBarH
#define UIObjectToolBarH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "htmlbtns.hpp"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------

#include "OBJSystemMessages.h"

class TfrmObjectToolbar : public TForm
{
__published:
        TImageList *ImageList1;
        TToolBar *ToolBar1;
        TToolButton *btnSelect;
        TToolButton *btnBusinessObject;
        TToolButton *btnConnector;
        TToolButton *btnConnection;
        TToolButton *btnText;
        TToolButton *btnConditional;
        TToolButton *btnTransformer;
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall btnMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
private:
        void __fastcall SMObjectPlacedHandler(TMessage& msg);
        BEGIN_MESSAGE_MAP
           MESSAGE_HANDLER(smObjectPlaced, TMessage, SMObjectPlacedHandler);
        END_MESSAGE_MAP(TForm);

protected:
        static TfrmObjectToolbar* _instance;
        __fastcall TfrmObjectToolbar(TComponent* Owner);

public:
        static TfrmObjectToolbar* Instance(TComponent* Owner);
        __fastcall ~TfrmObjectToolbar();
};
//---------------------------------------------------------------------------
#endif
