//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OBJPersistentEx.h"
#include "UISetName.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmSetName *frmSetName;
//---------------------------------------------------------------------------
__fastcall TfrmSetName::TfrmSetName(TComponent* Owner, TPersistentEx* pe)
        : TForm(Owner)
{
   d_Obj = pe;
   ebName->Text = pe->getName();
}


//---------------------------------------------------------------------------
void __fastcall TfrmSetName::ebNameChange(TObject *Sender)
{
   btnOK->Enabled = ebName->Text.Length();
}
//---------------------------------------------------------------------------
void __fastcall TfrmSetName::ebNameKeyPress(TObject *Sender, char &Key)
{
   String validChars = "ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890_\b";
   if (!validChars.Pos(String(Key).UpperCase()))
      Key = 0;
}
//---------------------------------------------------------------------------
void __fastcall TfrmSetName::btnOKClick(TObject *Sender)
{
   d_Obj->setName(ebName->Text);
}
//---------------------------------------------------------------------------
