//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "TransFlow.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "AdvGrid"
#pragma link "BaseGrid"
#pragma resource "*.dfm"
TForm3 *Form3;
//---------------------------------------------------------------------------
__fastcall TForm3::TForm3(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------


void __fastcall TForm3::ComboBox1Change(TObject *Sender)
{
 extern EngineRequest *er;

        int sel = Form3->ComboBox1->ItemIndex;
        RecoveryInfo *ri = (RecoveryInfo *) Form3->ComboBox1->Items->Objects[sel];
        try {
                er->GetPhaseData(ri->transId, ri->phaseNumber);
        } catch (Exception &exception){
                Application->ShowException(&exception);
        } catch (exception const &msg) {
                ErrorDlg1->Label1->Caption = AnsiString("Run Transaction " +
                        AnsiString(msg.what()));
                ErrorDlg1->ShowModal();
        }
}
//---------------------------------------------------------------------------



void __fastcall TForm3::Button2Click(TObject *Sender)
{
 extern EngineRequest *er;

        int sel = Form3->ComboBox1->ItemIndex;
        RecoveryInfo *ri = (RecoveryInfo *) Form3->ComboBox1->Items->Objects[sel];
        try {
                er->RunRecovery(ri->transId, ri->phaseNumber);
        } catch (Exception &exception){
                Application->ShowException(&exception);
        } catch (exception const &msg) {
                ErrorDlg1->Label1->Caption = AnsiString("Run Recovery " +
                        AnsiString(msg.what()));
                ErrorDlg1->ShowModal();
        }
}
//---------------------------------------------------------------------------

void __fastcall TForm3::AdvStringGrid1CellValidate(TObject *Sender,
      int Col, int Row, AnsiString &Value, bool &Valid)
{
 extern EngineRequest *er;
 NameValueTyp params;

        params.clear();
        for (int r = 1; r < AdvStringGrid1->RowCount; r++)
                params[AdvStringGrid1->Cells[0][r].c_str()] =
                        AdvStringGrid1->Cells[1][r].c_str();

        int sel = Form3->ComboBox1->ItemIndex;
        RecoveryInfo *ri = (RecoveryInfo *) Form3->ComboBox1->Items->Objects[sel];

        try {
                er->SetPhaseData(ri->transId, ri->phaseNumber, params);
        } catch (Exception &exception){
                Application->ShowException(&exception);
                Valid = false;
                return;
        } catch (exception const &msg) {
                ErrorDlg1->Label1->Caption = AnsiString("Set Phase Data " +
                        AnsiString(msg.what()));
                ErrorDlg1->ShowModal();
                Valid = false;
                return;
        }
        Valid = true;
}
//---------------------------------------------------------------------------

void __fastcall TForm3::Button3Click(TObject *Sender)
{
        Close();        
}
//---------------------------------------------------------------------------

