//---------------------------------------------------------------------------

#ifndef OBJBusinessObjectFieldH
#define OBJBusinessObjectFieldH
//---------------------------------------------------------------------------


#include "OBJConnectableObject.h"


class TBusinessObjectField : public TConnectableObject
{
   public:
      __fastcall TBusinessObjectField() : TConnectableObject() { }
      __fastcall TBusinessObjectField(const String& code, const String& name) : TConnectableObject(code, name) { }
      __fastcall TBusinessObjectField(TReader* const Reader) : TConnectableObject() { readData(Reader); }

      static TPersistentEx* createFromStream(TReader* const Reader) { return new TBusinessObjectField(); }

      __fastcall ~TBusinessObjectField() { };

      const String& __fastcall getMapping() const {return d_Mapping;}


      void __fastcall setMapping(const String& s) {d_Mapping = s;}
      void __fastcall updateObject(const String&);

      virtual void __fastcall readData(TReader* const);
      virtual void __fastcall writeData(TWriter* const) const;
      virtual void __fastcall writeXML(TStream* const) const;
      virtual bool __fastcall showDialog(TComponent* const Owner, bool ReadOnly) {return false;}
      void __fastcall writeScriptCode(TStrings* const);

   private:
      String d_Mapping;

};

#endif
