//---------------------------------------------------------------------------

#ifndef OBJServletParamH
#define OBJServletParamH
//---------------------------------------------------------------------------

#include "OBJPersistentEx.h"

class TServletParam : public TPersistentEx
{
   public:
   __fastcall TServletParam() : TPersistentEx() { }
   __fastcall TServletParam(const String& code, const String& name) : TPersistentEx(code, name) { }
   __fastcall TServletParam(TReader* Reader) : TPersistentEx() {readData(Reader);}

   static TPersistentEx* createFromStream(TReader* Reader) {return new TServletParam(Reader);}

   __fastcall ~TServletParam() { }

   const String& __fastcall getValue() const {return d_Value;}
   void __fastcall setValue(const String& s) {d_Value = s;}

   virtual void __fastcall readData(TReader* const);
   virtual void __fastcall writeData(TWriter* const) const;
   virtual bool __fastcall showDialog(TComponent* const Owner, bool ReadOnly) {return false;}

   private:
      String d_Value;

};

#endif
