//---------------------------------------------------------------------------
#ifndef OBJTypeDefsH
#define OBJTypeDefsH
//---------------------------------------------------------------------------
#include "OBJPersistentExList.h"

class TBusinessObject;
class TBusinessObjectField;
class TConditionalObject;
class TConnection;
class TConnector;
class TConnectorObject;
class TConnectorObjectField;
class TServletMethod;
class TServletParam;
class TTextObject;
class TTransaction;
class TTransformer;

typedef TPersistentExList<TBusinessObject> TBusinessObjectCollection;
typedef TPersistentExList<TBusinessObjectField> TBusinessObjectFieldCollection;
typedef TPersistentExList<TConditionalObject> TConditionalObjectCollection;
typedef TPersistentExList<TConnection> TConnectionCollection;
typedef TPersistentExList<TConnector> TConnectorCollection;
typedef TPersistentExList<TConnectorObject> TConnectorObjectCollection;
typedef TPersistentExList<TConnectorObjectField> TConnectorObjectFieldCollection;
typedef TPersistentExList<TServletMethod> TServletMethodCollection;
typedef TPersistentExList<TServletParam> TServletParamCollection;
typedef TPersistentExList<TTextObject> TTextObjectCollection;
typedef TPersistentExList<TTransaction> TTransactionCollection;
typedef TPersistentExList<TTransformer> TTransformerCollection;

#endif
