//---------------------------------------------------------------------------

#ifndef UIBusinessObjectPropertiesH
#define UIBusinessObjectPropertiesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "dccommon.hpp"
#include "dcmemo.hpp"
#include "dcparser.hpp"
#include "dcstring.hpp"
#include "dcsystem.hpp"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>


//---------------------------------------------------------------------------

class TBusinessObject;

class TfrmBusinessObjectProperties : public TForm
{
__published:	// IDE-managed Components
        TPageControl *PageControl1;
        TButton *btnOK;
        TButton *btnCancel;
        TTabSheet *TabSheet1;
        TTabSheet *TabSheet2;
        TTabSheet *TabSheet3;
        TListView *ListView1;
        TDCMemo *DCMemo1;
        TMemoSource *MemoSource1;
        TCParser *CParser1;
        TListView *ListView2;
        TTabSheet *TabSheet4;
        TLabel *Label1;
        TEdit *ebName;
        TTabSheet *TabSheet5;
        TListView *lvConnections;
        TButton *Button1;
        TImage *Image1;
        TImage *Image2;
        TImage *Image3;
        TImage *Image4;
        TImage *Image5;
        void __fastcall ebNameKeyPress(TObject *Sender, char &Key);
        void __fastcall ebNameChange(TObject *Sender);
        void __fastcall btnOKClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall btnCancelClick(TObject *Sender);
private:	// User declarations
        TBusinessObject* d_BusinessObject;
public:		// User declarations
        __fastcall TfrmBusinessObjectProperties(TComponent* Owner, TBusinessObject* bo);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmBusinessObjectProperties *frmBusinessObjectProperties;
//---------------------------------------------------------------------------
#endif
