//---------------------------------------------------------------------------

#ifndef UIConnectorObjectsH
#define UIConnectorObjectsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "htmltv.hpp"
#include <ComCtrls.hpp>
#include <ImgList.hpp>
//---------------------------------------------------------------------------

class TConnector;

class TfrmConnectorObjects : public TForm
{
__published:	// IDE-managed Components
        THTMLTreeview *HTMLTreeview1;
        TImageList *ImageList1;
        TButton *btnClose;
        TStatusBar *StatusBar1;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall HTMLTreeview1StartDrag(TObject *Sender,
          TDragObject *&DragObject);
private:
        TConnector* d_co;
public:
        __fastcall TfrmConnectorObjects(TComponent* Owner, TConnectableObject* co);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmConnectorObjects *frmConnectorObjects;
//---------------------------------------------------------------------------
#endif
