//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "UIObjectToolBar.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "htmlbtns"
#pragma resource "*.dfm"
TfrmObjectToolbar* TfrmObjectToolbar::_instance = 0;

//---------------------------------------------------------------------------
__fastcall TfrmObjectToolbar::TfrmObjectToolbar(TComponent* Owner)
        : TForm(Owner)
{
   Width = 44;
   Height = 257;
}


__fastcall TfrmObjectToolbar::~TfrmObjectToolbar()
{
   _instance = 0;
}



//---------------------------------------------------------------------------
TfrmObjectToolbar* TfrmObjectToolbar::Instance(TComponent* Owner)
{
   if (_instance == 0) {
      _instance= new TfrmObjectToolbar(Owner);
   }
   return _instance;
}


//---------------------------------------------------------------------------
void __fastcall TfrmObjectToolbar::FormClose(TObject *Sender,
      TCloseAction &Action)
{
   Action = caFree;
}
//---------------------------------------------------------------------------

void __fastcall TfrmObjectToolbar::btnMouseUp(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y)
{
   for (int i=0; i<=ToolBar1->ButtonCount-1; i++)
      ToolBar1->Buttons[i]->Marked = false;
      
   dynamic_cast<TToolButton*>(Sender)->Marked = Shift.Contains(ssShift);
}
//---------------------------------------------------------------------------


void __fastcall TfrmObjectToolbar::SMObjectPlacedHandler(TMessage &msg)
{
   for (int i=0; i<=ToolBar1->ButtonCount-1; i++) {
      if (ToolBar1->Buttons[i]->Down) {
         if (!ToolBar1->Buttons[i]->Marked)
            ToolBar1->Buttons[0]->Down = true;
         break;
      }
   }
}
