//---------------------------------------------------------------------------

#ifndef UIStatementEditorH
#define UIStatementEditorH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "dccommon.hpp"
#include "dcmemo.hpp"
#include "htmlbtns.hpp"
#include <ExtCtrls.hpp>
#include "dcstring.hpp"
#include "dcSyntax.hpp"
#include "dcsystem.hpp"
//---------------------------------------------------------------------------

class TConditionalObject;

class TfrmStatementEditor : public TForm
{
__published:	// IDE-managed Components
        TNotebook *Notebook1;
        TLabel *Label1;
        TLabel *Label2;
        TDCMemo *DCMemo1;
        TDCMemo *DCMemo2;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TDCMemo *memIfStatement;
        TDCMemo *memTrueStatement;
        TDCMemo *memFalseStatement;
        TButton *Button1;
        TGroupBox *GroupBox1;
        THTMLRadioButton *HTMLRadioButton1;
        THTMLRadioButton *HTMLRadioButton2;
        TButton *btnOK;
        TButton *Button3;
        TMemoSource *MemoSource1;
        TMemoSource *MemoSource2;
        TMemoSource *MemoSource3;
        TSyntaxParser *SyntaxParser1;
        void __fastcall rbtnStatementTypeClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall btnOKClick(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall memStatementKeyUp(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall memTrueStatementDragDrop(TObject *Sender,
          TObject *Source, int X, int Y);
        void __fastcall memTrueStatementDragOver(TObject *Sender,
          TObject *Source, int X, int Y, TDragState State, bool &Accept);
        void __fastcall memIfStatementDragOver(TObject *Sender,
          TObject *Source, int X, int Y, TDragState State, bool &Accept);
        void __fastcall memIfStatementDragDrop(TObject *Sender,
          TObject *Source, int X, int Y);
private:	// User declarations
        TConditionalObject* d_co;
        TStringList *d_SaveIf, *d_SaveTrue, *d_SaveFalse;
public:		// User declarations
        __fastcall TfrmStatementEditor(TComponent* Owner, TConditionalObject* co);
        __fastcall ~TfrmStatementEditor();
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmStatementEditor *frmStatementEditor;
//---------------------------------------------------------------------------
#endif
